--[[ TinyTip by Thrae
-- 
--
-- English Localization (Default)
-- For TinyTipChat
--
-- You can safely delete this if you've deleted TinyTipChat.lua.
--
-- TinyTipChatLocale should be defined in your FIRST localization
-- code.
--
-- Note: Other localization is in TinyTipLocale_enEN.
-- 
--]]

if TinyTipChatLocale then
	-- actual slash commands
	SLASH_TINYTIP1 = "/tinytip"
	SLASH_TINYTIP2 = "/ttip"

	TinyTipChatLocale_Options = "Options"
	TinyTipChatLocale_Confirm = "confirm" -- must be lowercase!
	TinyTipChatLocale_DefaultWarning = "Are you SURE you want to return your settings to their default values? Type in "
	TinyTipChatLocale_InvalidInput = "Invalid input for"
	TinyTipChatLocale_NotValidCommand = "is not a valid command."
	TinyTipChatLocale_IsNow = "is now set to"
	TinyTipChatLocale_IsSetTo = "is set to"
	TinyTipChatLocale_On = "On"
	TinyTipChatLocale_Off = "Off"

	TinyTipChatLocale_ReloadUI = "You must reload your UI for the changes to take effect."
	
	-- The chat map, these are the descriptions of the variables.
	TinyTipChatLocale_ChatMap = { 
		["NotFade"]		= "Disabling the fadeout effect",
		["Anchor"]		= "The tooltip's anchor",
		["OffX"]		= "The tooltip's horizontal offset",
		["OffY"]		= "The tooltip's vertical offset",
		["Scale"]		= "The tooltip's scale",
		["NotLevelText"]	= "Hiding the level text",
		["NotInfoLine"]		= "Hiding the info line",
		["NotRace"]		= "Hiding a player's race",
		["PvPRank"]		= "Showing the PvP Rank Name",
		["PvPIcon"]		= "Showing the PvP Rank Icon",
		["BGColor"]		= "Coloring the backdrop",
		["Border"]		= "Coloring the border",
		["NotGuild"]		= "Hiding the guild affiliation",
		["ReactionText"]	= "Showing the reaction text",
		["NotCivilians"]	= "Hiding Civilian text", 
		["NotFriends"]		= "Not coloring the backdrop for friends",
		["LevelGuess"]		= "Showing >(Your Level + 10) instead of ??",
		["ToM"]			= "Showing the target of tooltip's unit ",
		["ToP"]			= "Showing party members targeting the tooltip's unit",
		["ToR"]			= "Showing raid members targeting the tooltip's unit"	
	}

	-- saved variable options - lowercase only!
	TinyTipChatLocale_Opt_NotFade		= "nofade"
	TinyTipChatLocale_Opt_Anchor		= "anchor"
	TinyTipChatLocale_Opt_OffX			= "offx"
	TinyTipChatLocale_Opt_OffY			= "offy"
	TinyTipChatLocale_Opt_Scale			= "scale"
	TinyTipChatLocale_Opt_NotLevelText	= "hidelevel"
	TinyTipChatLocale_Opt_NotInfoLine	= "hideinfo"
	TinyTipChatLocale_Opt_NotRace		= "hiderace"
	TinyTipChatLocale_Opt_PvPRank		= "pvprank"
	TinyTipChatLocale_Opt_PvPIcon		= "pvpicon"
	TinyTipChatLocale_Opt_BGColor		= "backdrop"
	TinyTipChatLocale_Opt_Border		= "border"
	TinyTipChatLocale_Opt_NotGuild		= "hideguild"
	TinyTipChatLocale_Opt_ReactionText	= "reaction"
	TinyTipChatLocale_Opt_NotCivilians	= "civilians"
	TinyTipChatLocale_Opt_NotFriends	= "friends"
	TinyTipChatLocale_Opt_LevelGuess	= "guess"
	TinyTipChatLocale_Opt_ToM			= "tom"
	TinyTipChatLocale_Opt_ToP			= "top"
	TinyTipChatLocale_Opt_ToR			= "tor"

	-- saved variable descriptions
	TinyTipChatLocale_Desc_NotFade = "Toggle whether to let the tooltip fade out or simply hide."
	TinyTipChatLocale_Desc_Anchor = "Set the anchor for the tooltip, or give nothing to disable. Valid anchors are: CURSOR (cannot set offsets, most compatible), SMARTCURSOR (works with unit frames too), OFFSETCURSOR (can set offsets), SMARTOFFSETCURSOR, BOTTOM, BOTTOMRIGHT, BOTTOMLEFT, TOP, TOPRIGHT, TOPLEFT, RIGHT, LEFT, CENTER"
	TinyTipChatLocale_Desc_OffX = "Set the horizontal offset from the anchor point, or give nothing to disable."
	TinyTipChatLocale_Desc_OffY = "Set the vertical offset from the anchor point, or give nothing to disable."
	TinyTipChatLocale_Desc_Scale =  "Set the tooltip's scale as a real number, including the decimal place."
	TinyTipChatLocale_Desc_NotLevelText = "Toggle whether to hide the level text."
	TinyTipChatLocale_Desc_NotInfoLine = "Toggle whether to hide the info line for NPCs."
	TinyTipChatLocale_Desc_NotRace = "Toggle whether to hide a player's race."
	TinyTipChatLocale_Desc_PvPRank = "Set the options for the PvP Rank. If the number 2 is given, then it will show the rank name in front of the tooltip unit's name, otherwise it will show in the format of [R#]. Give no input to disable."
	TinyTipChatLocale_Desc_PvPIcon = "Toggle whether to show an icon for the player's PvP rank to the left of the tooltip."
	TinyTipChatLocale_Desc_BGColor = "Set the color scheme for the backdrop. If 1, then color based on reaction for players. If 2, then also color for NPCs. If 3, always be black. Give nothing to use the game's default color."
	TinyTipChatLocale_Desc_Border = "Set the color scheme for the border. If 1, color the tooltip's border the same as the backdrop. If 2, hide the border. Give nothing to use the game's default color."
	TinyTipChatLocale_Desc_NotGuild = "Toggle whether to hide the guild name."
	TinyTipChatLocale_Desc_ReactionText = "Toggle whether to show the reaction text (Friendly, Hostile, etc.)"
	TinyTipChatLocale_Desc_NotCivilians = "Toggle whether to hide the extra line for civilians."
	TinyTipChatLocale_Desc_NotFriends = "Toggle whether to color the backdrop differently for friends and guildmates."
	TinyTipChatLocale_Desc_LevelGuess = "Toggle whether to show >(Your Level +10) instead of ?? for unknown levels."
	TinyTipChatLocale_Desc_ToM = "Toggle whether to show the name of tooltip unit's target."
	TinyTipChatLocale_Desc_ToP = "Set the options for searching through your party's targets. If the number 2 is given, then it will show the number of party members currently targeting the tooltip unit, otherwise it will show the name of each party member targeting. Give no input to disable."
	TinyTipChatLocale_Desc_ToR = "Set the options for searching through your raid's targets. If the number 3 is given, then it will show the NAME of EACH and EVERY member targeting the tooltip's unit. If the number 2 is given, then it will show what CLASSES are targeting this unit. If any other input is given, then it will show the NUMBER of members targeting this unit. Give no input to disable."

	-- other options
	TinyTipChatLocale_Opt_Default = "default"
	TinyTipChatLocale_Desc_Default = "Return this addon's settings back to their defaults."

	TinyTipChatLocale_Opt_Report = "report"
	TinyTipChatLocale_Desc_Report = "Report the settings of this addon."
	-- we're done with this.
	TinyTipChatLocale = nil
end
